Page MenuHomePhabricator

cloudvps: search project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the search project needs to upgrade as soon as possible.

The list of affected VMs is:

  • T207660: relforge-search.search.eqiad.wmflabs
  • rel.search.eqiad.wmflabs
  • wdsearch.search.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/search

Event Timeline

aborrero triaged this task as Normal priority.Sep 18 2018, 11:13 AM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 11:13 AM
zeljkofilipin added a comment.EditedSep 18 2018, 11:42 AM

I'm not sure how I ended up being an administrator for a search project. 🤷‍♂️ Feel free to remove me.

I could migrate wdsearch, but the problem is current quotas do not allow me to create another m1.large instance in the project.

I could migrate wdsearch, but the problem is current quotas do not allow me to create another m1.large instance in the project.

See Cloud-VPS (Quota-requests) for the process to request a temporary or permanent quota change.

Krenair updated the task description. (Show Details)Oct 22 2018, 9:36 AM
Krenair updated the task description. (Show Details)Oct 22 2018, 1:00 PM

Hey @mpopov @dcausse @EBernhardson @Gehel @Ironholds @Jdrewniak @JGirault @OrenBochman @Smalyshev @tstarling @TJones @zeljkofilipin. Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.

Also, please assign this task to an individual.

I'll take care of relforge-search.search.eqiad.wmflabs

dcausse updated the task description. (Show Details)Oct 22 2018, 2:23 PM

@dcausse: Excellent, thanks. Do you know who might be best for the other two?

I can take care of wdsearch, but no idea about the third one.

Smalyshev moved this task from Backlog to Waiting/Blocked on the User-Smalyshev board.

I'm not even sure how I ended up in the project. 🤷‍♂️

Krenair updated the task description. (Show Details)Oct 23 2018, 11:35 AM

I just logged into rel.search.eqiad.wmflabs, and @EBernhardson seems to have something there other than the default home directory, so maybe he knows what it's for and who's responsible for it. He's out this week, though.

Smalyshev updated the task description. (Show Details)Oct 24 2018, 11:49 PM

wdsearch has been migrated to wdsearch2 on eqiad-r.

rel.search.eqiad.wmflabs runs discernatron.wmflabs.org. I'll see about moving it

EBernhardson updated the task description. (Show Details)Nov 2 2018, 8:15 PM
EBernhardson moved this task from in progress to Done on the Discovery-Search (Current work) board.
debt closed this task as Resolved.Nov 2 2018, 10:00 PM
debt claimed this task.